#include "structures.h"
#include <queue>
#ifndef DKA_H
#define DKA_H

#include <iostream>

class DKA
{
    public:
        DKA(int nstates, int nabeceda);
        virtual ~DKA();
        void add_prechod(int state, int pismeno, int next_state);
        void accept_states(int astates, int * stavy);
        void minimize();
        int getsize();
        bool is_equal(DKA * dka);
        void vypis();
    protected:
    private:
        int nstates;
        int nabeceda;
        prechod_pre_stav * prechodova_funkcia;
};

#endif // DKA_H
